package org.gcube.portlets.user.geoportaldataentry.shared;

/**
 * The Class ACTION_ON_ITEM.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Nov 24, 2021
 */
public enum ACTION_ON_ITEM {

	CREATE_NEW_PROJECT("Create New Project"),
	VIEW_ON_MAP("View on Map"), 
	SHOW_METADATA("Show Metadata"), 
	VIEW_REPORT("View the Report"),
	EDIT_PROJECT("Edit the Project"), 
	DELETE_PROJECT("Delete the Project");
	
	String label;
	
	ACTION_ON_ITEM(String label){
		this.label = label;
	}
	
	public String getLabel() {
		return label;
	}

}
