package org.gcube.portlets.user.geoportaldataentry.client;

import static org.gcube.application.geoportal.client.GeoportalAbstractPlugin.mongoConcessioni;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.gcube.application.geoportal.common.model.legacy.Concessione;
import org.gcube.application.geoportal.common.rest.MongoConcessioni;
import org.gcube.common.authorization.library.provider.SecurityTokenProvider;
import org.gcube.common.scope.api.ScopeProvider;
import org.gcube.portlets.user.geoportaldataentry.server.config.GNARoleRitghtsConfigReader;
import org.gcube.portlets.user.geoportaldataentry.shared.RoleRights;
import org.junit.Before;
import org.junit.Test;

public class TestClass {

	private static String TOKEN = "";
	private static String CONTEXT = "/gcube/devsec/devVRE";
	private static String USERNAME = "francesco.mangiacrapa";

	//@Before
	public void init() {
		ScopeProvider.instance.set(CONTEXT);
		SecurityTokenProvider.instance.set(TOKEN);
	}

	//@Test
	public void getListConcessioniTest() throws Exception {
		MongoConcessioni clientMongo = mongoConcessioni().build();
		Iterator<Concessione> concessioni = clientMongo.getList();
		List<Concessione> listOfConcessioni = new ArrayList<Concessione>();
		if (concessioni != null) {
			while (concessioni.hasNext()) {
				Concessione concessione = (Concessione) concessioni.next();
				listOfConcessioni.add(concessione);

			}
		}
		int i = 0;
		for (Concessione concessione : listOfConcessioni) {
			System.out.println(++i + " " + concessione);
		}
	}

	//@Test
	public void readUserRights() throws Exception {
		new GNARoleRitghtsConfigReader();
		List<RoleRights> listUserRights = GNARoleRitghtsConfigReader.readRoleRightsConfig();
		System.out.println(listUserRights);
	}

}
